Subject: bug#65803: 29.1; Noto Sans Mono CJK JP has doubled-width on Windows

From: Po Lu <[email-masked]>
Date: Sat, 09 Sep 2023 21:42:14 +0800

Eli Zaretskii <[email-masked]> writes:

> How does one know, using the OpenType specification info, whether a
> given font is fixed-pitch or proportional?  I seem to be unable to
> find this in the spec, but maybe I need new glasses.

This information is not available within the font file, at least in the
TrueType specification which is the basis for OpenType.  Programs which
read TrueType fonts are obliged to judge for themselves, customarily by
taking measurements of each font's glyphs, or by searching for ``Mono''
within the font's family name.  I don't know which approach Windows
employs.